<?php

/*
 * ユニットが持つテーブルの生成を行う
  * @param tbl_unitのマスタ情報
 */
function extunit_install($param, $db) {
	switch(DBTYPE) {
		case "pgsql":
$sql[] = "CREATE TABLE  extunit_snsbtn (
  pageu_code INTEGER NOT NULL,
  staticlink SMALLINT NOT NULL default '0',
  url TEXT default NULL,
  btnlist VARCHAR(10) NOT NULL,
  btntype VARCHAR(10) DEFAULT NULL,
  align SMALLINT NOT NULL default '1',
  use_sp_flg SMALLINT default '1',
  bg_color SMALLINT default '0',
  bdr_type SMALLINT default '0',
  btm_padding SMALLINT default '2',
  bg_color_sp SMALLINT default '0',
  bdr_type_sp SMALLINT default '0',
  btm_padding_sp SMALLINT default '2',
  PRIMARY KEY  (pageu_code)
)";
$sql[] = "CREATE TABLE  extunit_snsbtn_tmp (
  pageu_code INTEGER NOT NULL,
  staticlink SMALLINT NOT NULL default '0',
  url TEXT default NULL,
  btnlist VARCHAR(10) NOT NULL,
  btntype VARCHAR(10) DEFAULT NULL,
  align SMALLINT NOT NULL default '1',
  use_sp_flg SMALLINT default '1',
  bg_color SMALLINT default '0',
  bdr_type SMALLINT default '0',
  btm_padding SMALLINT default '2',
  bg_color_sp SMALLINT default '0',
  bdr_type_sp SMALLINT default '0',
  btm_padding_sp SMALLINT default '2',
  PRIMARY KEY  (pageu_code)
)";
			break;
		case "mysql":
$sql[] = "CREATE TABLE  extunit_snsbtn (
  pageu_code INTEGER NOT NULL,
  staticlink SMALLINT NOT NULL default '0',
  url TEXT default NULL,
  btnlist VARCHAR(10) NOT NULL,
  btntype VARCHAR(10) DEFAULT NULL,
  align SMALLINT NOT NULL default '1',
  use_sp_flg SMALLINT default '1',
  bg_color SMALLINT default '0',
  bdr_type SMALLINT default '0',
  btm_padding SMALLINT default '2',
  bg_color_sp SMALLINT default '0',
  bdr_type_sp SMALLINT default '0',
  btm_padding_sp SMALLINT default '2',
  PRIMARY KEY  (pageu_code)
)TYPE=InnoDB DEFAULT CHARSET=UTF8;";
$sql[] = "CREATE TABLE  extunit_snsbtn_tmp (
  pageu_code INTEGER NOT NULL,
  staticlink SMALLINT NOT NULL default '0',
  url TEXT default NULL,
  btnlist VARCHAR(10) NOT NULL,
  btntype VARCHAR(10) DEFAULT NULL,
  align SMALLINT NOT NULL default '1',
  use_sp_flg SMALLINT default '1',
  bg_color SMALLINT default '0',
  bdr_type SMALLINT default '0',
  btm_padding SMALLINT default '2',
  bg_color_sp SMALLINT default '0',
  bdr_type_sp SMALLINT default '0',
  btm_padding_sp SMALLINT default '2',
  PRIMARY KEY  (pageu_code)
)TYPE=InnoDB DEFAULT CHARSET=UTF8;";
			//mysql 5.5対応
			if(isset($db->dbversion) && version_compare($db->dbversion,"5.0.0", ">=")){
			//mysql5.0以上の時はTYPEをENGINEに置換え
				foreach((array)$sql as $k => $v){
					$sql[$k] = str_replace('TYPE=InnoDB','ENGINE = InnoDB', $v);
				}
			}
			break;
		default:
			return false;
			break;
	}
	//sqlの実行
	if(!is_array($sql)||!count($sql)>0) {
		//テーブルのないモジュール、ユニットは存在させない
		return false;
	}
	foreach($sql as $key => $val) {
		if(!$db->query($val)) {
			return false;
		}
	}

	return true;
}
?>